BANK KALTENG Bugs - Bug #3240

[HR]perbaikan pada master data assignment dimana jika mengisi posisi baru, untuk kolom
organization tidak terisi otomatis sehingga organization id tidak terbentuk.

11/28/2024 11:54 AM - Muhammad Bintar

Status: QA Test

Priority: High

Assignee: Muhammad Bintar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/28/2024
12/02/2024
0%

0.00 hour
2.00 hours

Description

dear tim developer mohon support nya untuk perbaikan pada master data assignment dimana jika mengisi posisi baru, untuk kolom
organization tidak terisi otomatis sehingga organization id tidak terbentuk.
Employee Overview - 00000012 - MICHAEL P: LANGKAH

00000012

Personal Data

Start Date:
End Date:

Effective Date:
Movement Type:
Movement Reason:
Company ID
Employee Area:

Employee Cffice:

Employee ID:
Full Name:
Employee Status:
Employes Type
Company ID:

Assignment

2311172024
31/12/9000
01/03/2018
Promotion

Naik Grade

PT. Bank Kalteng
Kantor Pusat

Kantor Pusat

Address

MICHAEL P. LANGKAH
Active
Pengurus

PT. Sank Kakeng

Family

Employee Status: Active
Employee Type: Pengurus

Emp! Sub Type:

Organization:

Drestorate.

Division:

Employee Office
Organization.
Directorate:
Division:

Position

Edueation

Position:

Job:

Cost Center:

Work Letter:

Motes:

Kantor Pusat

Working Experienc.

Org History Health Record Comm. Data Personal ID

10000358 - Kontrol Intern 1

e

remote.minovais.com:31130
database sql server 2014
remote.minovais.com, 1442
Bank Kalteng Dev

History

#1 - 11/28/2024 12:38 PM - Kezia Pawitra Yulianti

- Due date changed from 12/04/2024 to 12/02/2024

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to Muhammad Bintar

- Priority changed from Normal to High

mas bin,

itu seharusnya di field organization tidak ada look up nya deh. karena posisi search adanya di field position.
Tolong disesuaikan dulu settingan field nya dan cek di client lain yg sudah berjalan, mgkn ada yg kurang di settingan sdatatablefield nya.

Tks

#2 - 12/04/2024 10:43 AM - Muhammad Bintar
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
ouw itu sudah di setting sdatatablefield nya. lalu sudah hilang tombol kaca pembesar nya.
tapi kalau organisasi nya, pas di isi posisi baru, organisasi nya tidak autoload secara otomatis.

#3 - 12/19/2024 03:25 PM - M Azid Wahyudi

- File clipboard-202412191525-v8gcn.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
- jika ingin di hilangkan kaca pembesar itu di read only

package autoload :
sdataTablefield (PHRPAQ002 (position)selectfuntion)

FieldName Seqhum DataRef DataType Length Prec Scale TableRef
Organization 16 ORG 0 18 0 0 PHROMO00T
Position 14 POs 0 100 0 0 PHROMO001
e NULL NULL NuLL NULL NULL NULL NULL NuLL

var Mainform = Ext.ComponentQuery.query('[name="+ val.formname + '1')[0];
var StartDate = Mainform.getForm().findField('StartDate').getValue();
var objClassValue = val.objClassValue;

var hasil = undefined;

var cc = null;

Ext.Ajax.request({

async: false,

method: 'POST,

url: /UserControl/GetStore',

params: {

tableName: 'PHROMO0006",

param: ‘StartDate[<=]' + _StartDate + ',EndDate[>=]' + _StartDate + ',ObjectID[=]' + val.getValue() + ',ObjectClass[=]' + objClassValue

}

success: function (response) {

var results = Ext.decode(response.responseText);

if (results.data.length > 0) {

hasil = results.data’;
Mainform.getForm().findField('Job').setValue(hasil.Job);
Mainform.getForm().findField('CostCenter').setValue(hasil. CostCenter);
}else {

Mainform.getForm().findField('Job').setValue(");
Mainform.getForm().findField('CostCenter’).setValue(");
}

}

)i

var Org = null;

Ext.Ajax.request({

async: false,

method: 'POST’,

url: '/UserControl/GetStore’',

params: {

tableName: 'PHROMO0002',

FixedValue

NULL
NULL
NULL

SearchFunction  SearchType
0-0-P 3

0-0-P-E 3

NULL NULL

param: 'StartDate[<=]' + StartDate + ',EndDate[>=]' + _StartDate + ',ObjectID[=]' + val.getValue() +

' ObjectClass|[=]P, RelationshipDirectory[=]B, RelationshipClass[=]O'

success: function (response) {
results = (response.responseText);
Org = Ext.decode(results);

if (Org_.data.length > 0) {

Org = Org_.data’;

Mainform.getForm().findField('Organization').setValue(Org.RelationshipObject);

console.log(Org.RelationshipObject)
}else {
Mainform.getForm().findField('Organization').setValue(");

}
D

if (Mainform.getForm().findField('CostCenter').getValue() ==") {
Ext.Ajax.request({
async: false,

method: 'POST,

url: YORM/GetCostCenter?ObjectID="' + val.getValue() + '&class=' + objClassValue + '&keyDate=" + StartDate + '&isOneLevel=false’,
success: function (response) {

results = (response.responseText);

cc = Ext.decode(results);

cc = cc_.results.data;
Mainform.getForm().findField('CostCenter').setValue(cc);
1

D

1

if (val.getValue() ==") {
Mainform.getForm().findField('Organization').setValue(");
Mainform.getForm().findField('CostCenter').setValue(");

}

makasih

Files

clipboard-202411281129-takhv.png 84 KB 11/28/2024 Muhammad Bintar
clipboard-202412191525-v8gcn.png 20.2 KB 12/19/2024 M Azid Wahyudi
